Subject: bug#13474: closed (Re: bug#13474: 24.3.50; Changing vertical-border face affects non-toolkit scroll bar)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 31 May 2021 20:49:01 +0000

Your bug report

#13474: 24.3.50; Changing vertical-border face affects non-toolkit scroll bar

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13474: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13474
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13474: 24.3.50; Changing vertical-border face affects non-toolkit scroll bar
From: [email-masked]
Cc: [email-masked]
Date: Mon, 31 May 2021 22:47:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, 31 May 2021 09:21:03 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> 0. configure --without-toolkit-scroll-bars && make
>> 1. emacs -Q
>> 2. C-x 3
>> 3. M-x scroll-bar-mode
>> 4. M-: (set-face-attribute 'vertical-border nil :foreground "green")
>>    As expected, now the border line between the windows is green.
>> 5. M-x scroll-bar-mode
>>    Unexpectedly, now the scroll bars are green.
>
> (I'm going through old bug reports that unfortunately got little response at
> the time.)
>
> I tried reproducing this with Emacs 28 on Debian/bullseye, but I was
> unable to.  Are you still seeing this issue in recent versions of Emacs?

Thanks for looking at this.  No, I don't see this with Emacs 28 either,
so it was apparently fixed since Emacs 24.3 and I'm closing this bug.

Steve Berman

Subject: 24.3.50; Changing vertical-border face affects non-toolkit scroll bar
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Thu, 17 Jan 2013 12:11:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

0. configure --without-toolkit-scroll-bars && make
1. emacs -Q
2. C-x 3
3. M-x scroll-bar-mode
4. M-: (set-face-attribute 'vertical-border nil :foreground "green")
   As expected, now the border line between the windows is green.
5. M-x scroll-bar-mode
   Unexpectedly, now the scroll bars are green.
6. M-: (set-face-attribute 'vertical-border nil :foreground "black")
   The scroll bars are still green.
7. M-x scroll-bar-mode
   Now the border line between the windows is black.
8. M-x scroll-bar-mode
   Now the scroll bars are black.

This pattern changes (to the expected behavior) when scroll-bar face is
customized:

9. M-x customize-face RET scroll-bar RET, show all attributes, check the
   Foreground box, change its value to "green", and set for current
   session.
   Now the scroll bars are green.
10. M-x scroll-bar-mode
   As expected, the border line between the windows is still black.
11. M-: (set-face-attribute 'vertical-border nil :foreground "red")
   Now the border line between the windows is red.
12. M-x scroll-bar-mode
   As expected, the scroll bars are still green. 

In GNU Emacs 24.3.50.4 (x86_64-suse-linux-gnu, GTK+ Version 3.4.4)
 of 2013-01-17 on rosalinde
Bzr revision: 111542 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11203000
System Description:	openSUSE 12.2 (x86_64)

Configured using:
 `configure --without-toolkit-scroll-bars CFLAGS=-g3 -O0 --no-create
 --no-recursion'

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t